Bug 823104 - bodhi update stuck in inf loop
bodhi update stuck in inf loop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
15
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 00:53 EDT by d. johnson
Modified: 2016-09-19 22:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:54:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d. johnson 2012-05-19 00:53:36 EDT
Description of problem:

Creating a new update for  munin-1.4.7-5.fc17
Password for fenris02:
Creating a new update for  munin-1.4.7-5.fc17
Password for fenris02:
Creating a new update for  munin-1.4.7-5.fc17
Password for fenris02:
Creating a new update for  munin-1.4.7-5.fc17
Password for fenris02:
Creating a new update for  munin-1.4.7-5.fc17
Password for fenris02:
Creating a new update for  munin-1.4.7-5.fc17
Password for fenris02:

Version-Release number of selected component (if applicable):

bodhi-client-0.8.4-1.fc15.noarch
fedpkg-1.9-1.fc15.noarch

How reproducible:

100%

Steps to Reproduce:
1. fedpkg -B clone munin
2. make changes and build
3. fedpkg update
  
Actual results:

No update takes place, keeps asking for password.

Expected results:

Correct password accepted, and update applied.

Additional info:

Using --user fenris02 -v results in very little additional information:

Running bodhi --new --release f17 --file bodhi.template munin-1.4.7-5.fc17 --username fenris02 directly on the tty
Creating a new update for  munin-1.4.7-5.fc17
Password for fenris02: 
Creating a new update for  munin-1.4.7-5.fc17 
Password for fenris02:
Comment 1 d. johnson 2012-05-19 12:17:15 EDT
$ fedora-cert -v
Verifying Certificate
cert expires: 2012-07-23
CRL Checking not implemented yet

$ bodhi --new --release f17 --file bodhi.template munin-1.4.7-5.fc17 --username fenris02 --verbose
proxyclient.__init__:entered
proxyclient.__init__:exited
Reading from bodhi.template 
Creating a new update for  munin-1.4.7-5.fc17 
proxyclient.send_request: entered
Creating request https://admin.fedoraproject.org/updates/save
Headers: ['User-agent: Fedora Bodhi Client/0.5.1', 'Accept: application/json', 'Expect:']
Data: close_bugs=True&edited=&suggest_reboot=False&unstable_karma=-3&stable_karma=3&builds=+munin-1.4.7-5.fc17+&autokarma=True&inheritance=False&notes=Bugfix+update%2C+no+more+1.4.x+updates+expected+from+upstream.&request=testing&bugs=822992%2C747663%2C822894%2C746083%2C821912&type_=bugfix&_csrf_token=6f9890aabc4c8dafd5f7e2e2cd7e86f8538a5c4f
Authentication failed logging in
Caught AuthError: Unable to log into server.  Invalid authentication tokens.  Send new username and password
Password for fenris02: 
Reading from bodhi.template 
Creating a new update for  munin-1.4.7-5.fc17 
proxyclient.send_request: entered
Creating request https://admin.fedoraproject.org/updates/save
Headers: ['User-agent: Fedora Bodhi Client/0.5.1', 'Accept: application/json', 'Expect:']
Data: close_bugs=True&edited=&suggest_reboot=False&unstable_karma=-3&password=xxxxxxx&stable_karma=3&builds=+munin-1.4.7-5.fc17+&autokarma=True&inheritance=False&notes=Bugfix+update%2C+no+more+1.4.x+updates+expected+from+upstream.&request=testing&bugs=822992%2C747663%2C822894%2C746083%2C821912&type_=bugfix&_csrf_token=6f9890aabc4c8dafd5f7e2e2cd7e86f8538a5c4f&login=Login&user_name=fenris02
Authentication failed logging in
Caught AuthError: Unable to log into server.  Invalid authentication tokens.  Send new username and password
Comment 2 Fedora End Of Life 2012-08-07 12:54:25 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.